# FoundationClasses
TKernel
Storage

# Storage_DefaultCallBack Class Reference

`#include <Storage_DefaultCallBack.hxx>`

Inheritance diagram for Storage_DefaultCallBack:

[legend]

## Public Member Functions

Standard_EXPORT | Storage_DefaultCallBack ()
Standard_EXPORT Handle_Standard_Persistent | New () const
Standard_EXPORT void | Add (const Handle(Standard_Persistent)&aPers, const Handle(Storage_Schema)&aSchema) const
Standard_EXPORT void | Write (const Handle(Standard_Persistent)&aPers, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema) const
Standard_EXPORT void | Read (const Handle(Standard_Persistent)&aPers, Storage_BaseDriver &aDriver, const Handle(Storage_Schema)&aSchema) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT Storage_DefaultCallBack::Storage_DefaultCallBack | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void Storage_DefaultCallBack::Add | ( | const Handle(Standard_Persistent)& | aPers,
|  | const Handle(Storage_Schema)& | aSchema
| ) | const`[virtual]`

| Implements Storage_CallBack.

Standard_EXPORT const Storage_DefaultCallBack::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Storage_CallBack.

Standard_EXPORT Handle_Standard_Persistent Storage_DefaultCallBack::New | ( |  | ) | const`[virtual]`

| Implements Storage_CallBack.

Standard_EXPORT void Storage_DefaultCallBack::Read | ( | const Handle(Standard_Persistent)& | aPers,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | const`[virtual]`

| Implements Storage_CallBack.

Standard_EXPORT void Storage_DefaultCallBack::Write | ( | const Handle(Standard_Persistent)& | aPers,
|  | Storage_BaseDriver & | aDriver,
|  | const Handle(Storage_Schema)& | aSchema
| ) | const`[virtual]`

| Implements Storage_CallBack.

The documentation for this class was generated from the following file:

- Storage_DefaultCallBack.hxx